<?php
include('../common/parseargs.php');
include('../common/getObject.php');

$USAGE=" --userid=<userid>  [optionalparms: --username=<username> --password=<password> --userType=<userType> --emailAddress=<emailAddress> --administratorids=<administratorids>  --subuserids=<subuserids>  --groupids=<groupids> --volumeids=<volumeids> ]";


include('../common/basicargcheck.php');

if ($argc < 2) { 
	usage($argv[0],$USAGE);
	exit(1);
}


#arguments
$USERID=$args_array['userid'];
$USERNAME=$args_array['username'];
$PASSWORD=$args_array['password'];
$USERTYPE=$args_array['userType'];
$ADMINISTRATORIDS=$args_array['administratorids'];
$SUBUSERIDS=$args_array['subuserids'];
$GROUPIDS=$args_array['groupids'];
$VOLUMEIDS=$args_array['volumeids'];
$EMAILADDRESS=$args_array['emailAddress'];

if(!$USERID)
{
	echo "ERROR: --userid=<userid> must be defined\n";
	usage($argv[0],$USAGE); 
	exit(1); 
}

$userObj = getUsers($USER,$PASS,$HOST,$PORT);

foreach($userObj->return as $tmp)
{
	if($tmp->id == $USERID)
	{
		$user = $tmp;
		break;
	}
}

if($USERNAME)
{
	$user->username = $USERNAME;
}

if($PASSWORD)
{
	$user->password = $PASSWORD;
}

if($USERTYPE)
{
	$user->userType = $USERTYPE;
}

if($EMAILADDRESS)
{
	$user->emailAddress = $EMAILADDRESS;
}

if($ADMINISTRATORIDS)
{
	$user->adminIDs = $ADMINISTRATORIDS;
}

if($SUBUSERIDS)
{
	$user->subusersIDs = $SUBUSERIDS;
}

if($GROUPIDS)
{
	$user->groupIDs = $GROUPIDS;
}

if($VOLUMEIDS)
{
	$user->volumeIDs = $VOLUMEIDS;
}

try{
	$client = new soapclient("https://$HOST:$PORT/User?wsdl",
		array('login'=>"$USER", 
		'password'=>"$PASS",
		'trace'=>1,
		'classmap'=>array('User'=>'User')
		)
	);

	$client->updateUser(array('user'=>$user));

	echo "Successfully executed updateUser\n";

} 
catch (SoapFault $exception)
{
	echo $exception;
}
?> 
